Bug 553714 - avogadro FTBFS
avogadro FTBFS
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: avogadro (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Sebastian Dziallas
Fedora Extras Quality Assurance
:
Depends On:
Blocks: sip-4.10
  Show dependency treegraph
 
Reported: 2010-01-08 13:11 EST by Rex Dieter
Modified: 2010-02-13 19:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-01-10 08:46:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rex Dieter 2010-01-08 13:11:05 EST
build failure,
http://koji.fedoraproject.org/koji/taskinfo?taskID=1908369

... 
UILD/avogadro-1.0.0/libavogadro/src/python/sip.cpp:245: error: 'const struct _sipAPIDef' has no member named 'api_convert_from_instance'
/builddir/build/BUILD/avogadro-1.0.0/libavogadro/src/python/sip.cpp: In function 'PyObject* toPyQt(T*)':
/builddir/build/BUILD/avogadro-1.0.0/libavogadro/src/python/sip.cpp:383: error: 'const struct sipAPIDef' has no member named 'api_convert_from_instance'
/builddir/build/BUILD/avogadro-1.0.0/x86_64-redhat-linux-gnu/libavogadro/include/avogadro/primitive.h: At global scope:
/builddir/build/BUILD/avogadro-1.0.0/x86_64-redhat-linux-gnu/libavogadro/include/avogadro/primitive.h:40: warning: 'Avogadro::FALSE_ID' defined but not used
make[2]: *** [libavogadro/src/python/CMakeFiles/python-module.dir/sip.cpp.o] Error 1
make[2]: *** Waiting for unfinished jobs....
make[2]: Leaving directory `/builddir/build/BUILD/avogadro-1.0.0/x86_64-redhat-linux-gnu'
make[1]: Leaving directory `/builddir/build/BUILD/avogadro-1.0.0/x86_64-redhat-linux-gnu'
make[1]: *** [libavogadro/src/python/CMakeFiles/python-module.dir/all] Error 2
make: *** [all] Error 2
make: Leaving directory `/builddir/build/BUILD/avogadro-1.0.0/x86_64-redhat-linux-gnu'
error: Bad exit status from /var/tmp/rpm-tmp.9N2B3z (%build)
RPM build errors:
    Bad exit status from /var/tmp/rpm-tmp.9N2B3z (%build)
Child returncode was: 1
EXCEPTION: Command failed. See logs for output.
 # ['bash', '--login', '-c', 'rpmbuild -bb --target x86_64 --nodeps builddir/build/SPECS/avogadro.spec']
Traceback (most recent call last):
  File "/usr/lib/python2.4/site-packages/mock/trace_decorator.py", line 70, in trace
    result = func(*args, **kw)
  File "/usr/lib/python2.4/site-packages/mock/util.py", line 324, in do
    raise mock.exception.Error, ("Command failed. See logs for output.\n # %s" % (command,), child.returncode)
Error: Command failed. See logs for output.
 # ['bash', '--login', '-c', 'rpmbuild -bb --target x86_64 --nodeps builddir/build/SPECS/avogadro.spec']
LEAVE do --> EXCEPTION RAISED
Comment 1 Sebastian Dziallas 2010-01-10 08:46:11 EST
That should be fixed in tomorrow's Rawhide. I disabled the plugin causing the issues for now.
Comment 2 Kevin Kofler 2010-02-09 21:07:19 EST
Disabling things is a bad solution for build issues. The issue turned out to be just a trivial version check breakage. I fixed this properly (well, for sip 4.10; that fix will break again with 4.11, I guess using VERSION_GREATER would be more reliable) in avogadro-1.0.0-6.fc13.
Comment 3 Kevin Kofler 2010-02-09 21:35:17 EST
Well, it still fails, apparently due to numpy being broken:
-- [4/5] Numpy Module
Traceback (most recent call last):
  File "<string>", line 1, in <module>
  File "/usr/lib/python2.6/site-packages/numpy/__init__.py", line 132, in <module>
    import add_newdocs
  File "/usr/lib/python2.6/site-packages/numpy/add_newdocs.py", line 9, in <module>
    from lib import add_newdoc
  File "/usr/lib/python2.6/site-packages/numpy/lib/__init__.py", line 13, in <module>
    from polynomial import *
  File "/usr/lib/python2.6/site-packages/numpy/lib/polynomial.py", line 17, in <module>
    from numpy.linalg import eigvals, lstsq
  File "/usr/lib/python2.6/site-packages/numpy/linalg/__init__.py", line 47, in <module>
    from linalg import *
  File "/usr/lib/python2.6/site-packages/numpy/linalg/linalg.py", line 22, in <module>
    from numpy.linalg import lapack_lite
ImportError: /usr/lib/python2.6/site-packages/numpy/linalg/lapack_lite.so: undefined symbol: zgesdd_
-- Numpy headers found

and later:
/builddir/build/BUILD/avogadro-1.0.0/libavogadro/src/python/eigen.cpp:3:32: error: numpy/arrayobject.h: No such file or directory
(followed by many errors which are due to symbols not being defined).

But it should build once numpy is fixed.
Comment 4 Kevin Kofler 2010-02-09 21:37:50 EST
The numpy issue is bug 562577.
Comment 5 Kevin Kofler 2010-02-10 12:08:45 EST
avogadro-1.0.0-6.fc13 resubmitted, built successfully.
Comment 6 Sebastian Dziallas 2010-02-13 19:11:21 EST
Whoa, thanks a lot for taking on this! I had originally planned to look into eventually enabling the plugins again, but just got a little swamped with work.

Note You need to log in before you can comment on or make changes to this bug.